ApiShopping
Get result history for a specific query
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
queryId*string
Query Parameters
limit?number
Number of results to return
Default
10Response Body
application/json
curl -X GET "https://example.com/domains/string/shopping/results/query/string/history"{
"results": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"domainId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"organizationId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"queryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"query": "best wireless headphones",
"topicId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"products": [
{}
],
"totalResults": 25,
"source": "dataforseo",
"usedModel": "amazon-alexa-shopping",
"executionTimeMs": 1500,
"metadata": {
"triggerSource": "cron"
},
"market": "US",
"language": "en",
"reportDate": "2026-05-25T10:30:00.000Z",
"createdAt": "2026-05-25T10:30:00.000Z"
}
],
"totalCount": 100,
"dateRange": {
"start": "2024-01-01",
"end": "2024-12-31"
}
}